import React from "react";
import { IconButtonProps } from "./IconButtonProps";
import ButtonBase from "./../ButtonBase";
type IconButtonComponent = <E extends React.ElementType = typeof ButtonBase>(props: IconButtonProps<E>) => React.ReactElement;
declare const _default: IconButtonComponent;
export default _default;
